'use strict';

const snekfetch = require('snekfetch');
const storeImg = require('./store').types

const Module = {

  async get(type, url) {
    return new Promise(async(resolve, reject) => {
      if (!storeImg.includes(type)) return reject('[Arcadia] Error, no valid type specified');
      if (!url) return reject('[Arcadia] Error, no link specified');
      try {
        await snekfetch.get(`https://www.arcadia-api.xyz/api/v1/${type}?url=${url}`).then(res => {
          if (res.error) return reject(res.error);
          resolve(res.body);
        }).catch(err => {
          return reject(err);
        });
      } catch (e) {
        return reject(err.message);
      }
    });
  }

}
module.exports = Module;
